Package com.xebialabs.xlrelease.domain.events

# Class ConfigurationCopiedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.ConfigurationCopiedEvent

All Implemented Interfaces:
  `ConfigurationEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class ConfigurationCopiedEvent extends Object implements ConfigurationEvent, scala.Product, Serializable
Event published when a configuration is copied. param: original the original copy of a configuration. param: newId the new id of a configuration.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationCopiedEvent(BaseConfiguration original, String newId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConfigurationCopiedEvent`
  `apply(BaseConfiguration original, String newId)`
  `boolean`
  `canEqual(Object x$1)`
  `ConfigurationCopiedEvent`
  `copy(BaseConfiguration original, String newId)`
  `BaseConfiguration`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `String`
  `newId()`
  `BaseConfiguration`
  `original()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<BaseConfiguration,String>>`
  `unapply(ConfigurationCopiedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

  ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

  `timeMs, timestamp`

- ## Constructor Details

  - ### ConfigurationCopiedEvent

    public ConfigurationCopiedEvent(BaseConfiguration original, String newId)

- ## Method Details

  - ### apply

    public static ConfigurationCopiedEvent apply(BaseConfiguration original, String newId)

  - ### unapply

    public static scala.Option<scala.Tuple2<BaseConfiguration,String>> unapply(ConfigurationCopiedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### original

    public BaseConfiguration original()

  - ### newId

    public String newId()

  - ### copy

    public ConfigurationCopiedEvent copy(BaseConfiguration original, String newId)

  - ### copy$default$1

    public BaseConfiguration copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`